var  Pag43000_ParametrosContasPaga_Controller = function(ScreenService, localStorageEngine){

	var widget1;
	var widget2;

	this.setCampos = function(widgetTabbed){
		widget1 = widgetTabbed.widgets[0];
        var data = widget1.dataSource.data[0];
        if (!data){
            widget1.currentRow = {};
            widget1.currentRow.__is_new = true;
            widget1.currentRow.CDGERALPAG = '';
            widget1.currentRow.NRORG = '';
            widget1.currentRow.DSMULTAPAG = '';
            widget1.currentRow.DSMORAPAG = '';
            widget1.currentRow.DSCREPAG = '';
            widget1.currentRow.DSJUCTPAG = '';
            widget1.currentRow.NMANTAUTO = '';
            widget1.currentRow.DSUANTAUTO = '';
            widget1.currentRow.NMCREDCONT = '';
            widget1.currentRow.NMBAIXADOC = '';
            widget1.currentRow.NMBAIXATED = '';
            widget1.currentRow.IDUTLNFDEVOL = '';
            widget1.currentRow.DSTPCREDBANC = '';
            widget1.currentRow.IDHABIBOLE = 'N';
            widget1.currentRow.IDUTIAUTDESP = 'N';
            widget1.currentRow.IDEXTELACALAJUBX = 'N';
            widget1.currentRow.QTDIAANTBAIP = '';
            widget1.currentRow.QTDIAAPOBAIP = '';
            widget1.currentRow.QTDIAANTBOLP = '';
            widget1.currentRow.QTDIAAPOBOLP = '';
        }else{
            widget1.currentRow = data;
            widget1.currentRow.__is_new = false;
        }
		widget2 = widgetTabbed.widgets[1];
        widget2.currentRow = {};
        widget2.currentRow.QTDIAANTBAIP = widget1.currentRow.QTDIAANTBAIP;
        widget2.currentRow.QTDIAAPOBAIP = widget1.currentRow.QTDIAAPOBAIP;
        widget2.currentRow.QTDIAANTBOLP = widget1.currentRow.QTDIAANTBOLP;
        widget2.currentRow.QTDIAAPOBOLP = widget1.currentRow.QTDIAAPOBOLP;
	};

	this.salvar = function(param){
        if (widget1.currentRow.__is_new){
            this.setCurrentRow();
        }else{
            this.setIntervaloDatas();
        }
		widget1.saveRow().then(function(success){
			widget1.template = widget1.templateToView;
			widget1.view();
			widget2.template = widget2.templateToView;
			widget2.view();
            widget1.reload();
            widget2.reload();
			if (param){
				widget2.activate();
			} else {
				widget1.activate();
			}
		},  function(callback){
			ScreenService.showMessage(callback.data.error);
		});
	};

    this.setIntervaloDatas = function(){
        widget1.currentRow.__is_new = false;
        widget1.currentRow.QTDIAANTBAIP = widget2.currentRow.QTDIAANTBAIP;
        parseInt(widget1.currentRow.QTDIAANTBAIP);
        widget1.currentRow.QTDIAAPOBAIP = widget2.currentRow.QTDIAAPOBAIP;
        parseInt(widget1.currentRow.QTDIAAPOBAIP);
        widget1.currentRow.QTDIAANTBOLP = widget2.currentRow.QTDIAANTBOLP;
        parseInt(widget1.currentRow.QTDIAANTBOLP);
        widget1.currentRow.QTDIAAPOBOLP = widget2.currentRow.QTDIAAPOBOLP;
        parseInt(widget1.currentRow.QTDIAAPOBOLP);
    };

    this.retornaOperadorLogado = function() {
        var filter = [
            {
                "name": "CDOPERADOR",
                "operator": "=",
                "value": "OPERADOR_LOGADO"
            }
        ];
        return localStorageEngine.download("fin#/crud/operador", filter);
    };

    this.setCurrentRow = function(){
        var nrorg = null;
        this.retornaOperadorLogado().then(function(operador){
            nrorg = operador[0].NRORG;
        });
        widget1.currentRow = {};
        widget1.currentRow.__is_new = true;
        widget1.currentRow.CDGERALPAG = 1;
        widget1.currentRow.NRORG = nrorg;
        widget1.currentRow.DSMULTAPAG = '';
        widget1.currentRow.DSMORAPAG = '';
        widget1.currentRow.DSCREPAG = '';
        widget1.currentRow.DSJUCTPAG = '';
        widget1.currentRow.NMANTAUTO = '';
        widget1.currentRow.DSUANTAUTO = '';
        widget1.currentRow.NMCREDCONT = '';
        widget1.currentRow.NMBAIXADOC = '';
        widget1.currentRow.NMBAIXATED = '';
        widget1.currentRow.IDUTLNFDEVOL = '';
        widget1.currentRow.DSTPCREDBANC = '';
        widget1.currentRow.IDHABIBOLE = 'N';
        widget1.currentRow.IDUTIAUTDESP = 'N';
        widget1.currentRow.IDEXTELACALAJUBX = 'N';
        widget1.currentRow.QTDIAANTBAIP = '';
        widget1.currentRow.QTDIAAPOBAIP = '';
        widget1.currentRow.QTDIAANTBOLP = '';
        widget1.currentRow.QTDIAAPOBOLP = '';
    };

	this.editar = function(){
		widget1.template = widget1.templateToForm;
		widget2.template = widget2.templateToForm;
		widget1.edit();
		widget2.edit();
		widget1.backupRow = (widget1.currentRow) ? angular.copy(widget1.currentRow): {};
		widget2.backupRow = (widget2.currentRow) ? angular.copy(widget2.currentRow): {};
	};

	this.cancelar = function(){
		widget1.currentRow = (widget1.currentRow) ? widget1.backupRow : null;
		widget1.template = widget1.templateToView;
		widget1.view();
		widget2.currentRow = (widget1.currentRow) ? widget2.backupRow : null;
		widget2.template = widget2.templateToView;
		widget2.view();
	};

};

Configuration(function(ContextRegister){
    ContextRegister.register('Pag43000_ParametrosContasPaga_Controller', Pag43000_ParametrosContasPaga_Controller);
});